Index: res_odbc.c
===================================================================
--- res_odbc.c	(revision 33725)
+++ res_odbc.c	(working copy)
@@ -253,10 +253,7 @@
 				}
 
 				if (enabled && !ast_strlen_zero(dsn)) {
-					new = ast_calloc(1, sizeof(*new));
-
-					if (!new) {
-						ast_log(LOG_ERROR, "Memory error while loading configuration.\n");
+					if (!(new = ast_calloc(1, sizeof(*new)))) {
 						res = -1;
 						break;
 					}
@@ -395,9 +392,7 @@
 
 		if (!obj && (class->count < class->limit)) {
 			class->count++;
-			obj = ast_calloc(1, sizeof(*obj));
-			if (!obj) {
-				ast_log(LOG_ERROR, "Out of memory\n");
+			if (!(obj = ast_calloc(1, sizeof(*obj)))) {
 				AST_LIST_UNLOCK(&class->odbc_obj);
 				return NULL;
 			}
@@ -415,9 +410,7 @@
 
 		if (!obj) {
 			/* No entry: build one */
-			obj = ast_calloc(1, sizeof(*obj));
-			if (!obj) {
-				ast_log(LOG_ERROR, "Out of memory\n");
+			if (!(obj = ast_calloc(1, sizeof(*obj)))) {
 				AST_LIST_UNLOCK(&class->odbc_obj);
 				return NULL;
 			}
@@ -582,14 +575,7 @@
 						}
 					}
 
-					if (class) {
-						new = class;
-					} else {
-						new = ast_calloc(1, sizeof(*new));
-					}
-
-					if (!new) {
-						ast_log(LOG_ERROR, "Memory error while loading configuration.\n");
+					if (!(new = class ? class : ast_calloc(1, sizeof(*new)))) {
 						res = -1;
 						break;
 					}
